import { moduleFederationPlugin } from '@module-federation/sdk';

interface RemoteOptions extends moduleFederationPlugin.DtsRemoteOptions {
    moduleFederationConfig: moduleFederationPlugin.ModuleFederationPluginOptions;
    context?: string;
    implementation?: string;
    hostRemoteTypesFolder?: string;
}

interface HostOptions extends moduleFederationPlugin.DtsHostOptions {
    moduleFederationConfig: moduleFederationPlugin.ModuleFederationPluginOptions;
    context?: string;
    implementation?: string;
}
interface RemoteInfo {
    name: string;
    url: string;
    alias: string;
    zipUrl?: string;
    apiTypeUrl?: string;
}

export { HostOptions as H, RemoteOptions as R, RemoteInfo as a };
