import * as unplugin from 'unplugin';
import { R as RemoteOptions, H as HostOptions } from './HostOptions-cf22e0ab.js';
import '@module-federation/sdk';

type EnhancedRemoteOptions = {
    remote: RemoteOptions;
    extraOptions: Record<string, any>;
} | RemoteOptions;
type EnhancedHostOptions = {
    host: HostOptions;
    extraOptions: Record<string, any>;
} | HostOptions;
declare const NativeFederationTypeScriptRemote: unplugin.UnpluginInstance<EnhancedRemoteOptions, boolean>;
declare const NativeFederationTypeScriptHost: unplugin.UnpluginInstance<EnhancedHostOptions, boolean>;

export { EnhancedHostOptions, EnhancedRemoteOptions, NativeFederationTypeScriptHost, NativeFederationTypeScriptRemote };
