import { WebpackPluginInstance } from 'unplugin';
import { EnhancedRemoteOptions, EnhancedHostOptions } from './index.mjs';
import './HostOptions-cf22e0ab.js';
import '@module-federation/sdk';

declare const NativeFederationTypeScriptRemote: (options: EnhancedRemoteOptions) => WebpackPluginInstance;
declare const NativeFederationTypeScriptHost: (options: EnhancedHostOptions) => WebpackPluginInstance;

export { NativeFederationTypeScriptHost, NativeFederationTypeScriptRemote };
