import {
  consumeTypes,
  generateTypesInChildProcess,
  rpc_exports
} from "./chunk-QYHGZU7D.mjs";
import {
  DTSManager,
  HOST_API_TYPES_FILE_NAME,
  REMOTE_ALIAS_IDENTIFIER,
  REMOTE_API_TYPES_FILE_NAME,
  UpdateMode,
  generateTypes,
  getDTSManagerConstructor,
  retrieveHostConfig,
  retrieveMfTypesPath,
  retrieveOriginalOutDir,
  retrieveRemoteConfig,
  retrieveTypesAssetsInfo,
  retrieveTypesZipPath,
  validateOptions
} from "./chunk-CF5CH54A.mjs";
export {
  DTSManager,
  HOST_API_TYPES_FILE_NAME,
  REMOTE_ALIAS_IDENTIFIER,
  REMOTE_API_TYPES_FILE_NAME,
  UpdateMode,
  consumeTypes,
  generateTypes,
  generateTypesInChildProcess,
  getDTSManagerConstructor,
  retrieveHostConfig,
  retrieveMfTypesPath,
  retrieveOriginalOutDir,
  retrieveRemoteConfig,
  retrieveTypesAssetsInfo,
  retrieveTypesZipPath,
  rpc_exports as rpc,
  validateOptions
};
